<div class="container">
  <div class="card">
    <div class="card-header">
      <h3 class="text-center"><b>Formulario proveedores</b></h3>
    </div>
      <div class="card-body justify-content-center">
        <form class="mt-3 col-md-10 offset-md-3" (ngSubmit)="onSave()" [formGroup]="provForm">
          <div class="form-row">
            <div class="form-group col-md-6">
              <label> Empresa </label>
              <input type="text" formControlName="empresa" class="form-control" [class]="isValidField('empresa')">
              <!-- <div class="invalid-feedback">
                <span *ngIf="provForm.get('empresa').errors.required">
                  Este campo es requerido
                </span>
              </div> -->
            </div>
          </div>
          <div class="form-row">
            <div class="form-group col-md-6">
              <label> Razón social </label>
              <input type="text" formControlName="r_social" class="form-control" [class]="isValidField('r_social')">
              <!-- <div class="invalid-feedback">
                <span *ngIf="provForm.get('r_social').errors.required">
                  Este campo es requerido
                </span>
              </div> -->
            </div>
          </div>
          <div class="form-row">
            <div class="form-group col-md-6">
              <label> RFC </label>
              <input type="text" formControlName="rfc" class="form-control" [class]="isValidField('rfc')">
              <!-- <div class="invalid-feedback">
                <span *ngIf="provForm.get('rfc').errors.required">
                  Este campo es requerido
                </span>
              </div> -->
            </div>
          </div>
          <div class="form-row">
            <div class="form-group col-md-6">
              <label> Dirección </label>
              <input type="text" formControlName="direccion" class="form-control" [class]="isValidField('direccion')">
              <!-- <div class="invalid-feedback">
                <span *ngIf="provForm.get('direccion').errors.required">
                  Este campo es requerido
                </span>
              </div> -->
            </div>
          </div>
          <div class="form-row">
            <div class="form-group col-md-6">
              <label> Código Postal </label>
              <input type="text" formControlName="codigo_p" class="form-control" [class]="isValidField('codigo_p')">
              <!-- <div class="invalid-feedback">
                <span *ngIf="provForm.get('codigo_p').errors.required">
                  Este campo es requerido
                </span>
              </div> -->
            </div>
          </div>
          <div class="form-row">
            <div class="form-group col-md-6">
              <label> Teléfono </label>
              <input type="number" formControlName="telefono" class="form-control" [class]="isValidField('telefono')">
              <!-- <div class="invalid-feedback">
                <span *ngIf="provForm.get('telefono').errors.required">
                  Este campo es requerido
                </span>
              </div> -->
            </div>
          </div>
          <div class="form-row">
            <div class="form-group col-md-6">
              <label> Correo electrónico </label>
              <input type="text" formControlName="email" class="form-control" [class]="isValidField('email')">
              <!-- <div class="invalid-feedback">
                <span *ngIf="provForm.get('email').errors.required">
                  Este campo es requerido
                </span>
              </div> -->
            </div>
          </div>
          <div class="form-row">
            <div class="form-group col-md-6">
              <label> contacto de empresa </label>
              <input type="text" formControlName="contacto" class="form-control" [class]="isValidField('contacto')">
              <!-- <div class="invalid-feedback">
                <span *ngIf="provForm.get('contacto').errors.required">
                  Este campo es requerido
                </span>
              </div> -->
            </div>
          </div>
          <div class="form-row">
            <div class="form-group col-md-6">
              <label> Regimen fiscal </label>
              <input type="text" formControlName="regimen_fisc" class="form-control" [class]="isValidField('regimen_fisc')">
              <!-- <div class="invalid-feedback">
                <span *ngIf="provForm.get('regimen_fisc').errors.required">
                  Este campo es requerido
                </span>
              </div> -->
            </div>
          </div>
          <div class="d-grid gap-2 col-8 mx-auto">
            <button class="btn btn-success btn-md-8">Guardar datos</button>
          </div>
        </form>
        <div class="row">
          <button type="button" class="btn btn-primary mt-2" (click)="onGoBackToList()">Regresar al listado</button>
        </div>
      </div>
  </div>
</div>
